#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0xf2963309, "tcf_em_unregister" },
	{ 0x31dafd09, "tcf_em_register" },
	{ 0x5b9fd308, "__pskb_pull_tail" },
	{ 0xa14ab67, "dev_get_by_index_rcu" },
	{ 0xc6e026cf, "skb_copy_bits" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9f3074eb, "xt_request_find_match" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0x984ce9bd, "__nla_parse" },
	{ 0xadc2ce81, "nla_put" },
	{ 0x754d539c, "strlen" },
	{ 0xb4b5a0f, "xt_check_match" },
	{ 0xc5850110, "printk" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x78f747b8, "module_put" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "x_tables");


MODULE_INFO(srcversion, "6ECF0021D6F88661A5317F7");
